
From: Johannes Stezenbach <js@linuxtv.org>

Fix error checking during initialization.  Thanks to Gerolf Wendland for
discovering.

Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/dibusb-mb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-fix-init-error-checking drivers/media/dvb/dvb-usb/dibusb-mb.c
--- 25/drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-fix-init-error-checking	Mon May 23 17:16:23 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/dibusb-mb.c	Mon May 23 17:16:23 2005
@@ -81,7 +81,7 @@ static int dibusb_probe(struct usb_inter
 		const struct usb_device_id *id)
 {
 	if (dvb_usb_device_init(intf,&dibusb1_1_properties,THIS_MODULE) == 0 ||
-		dvb_usb_device_init(intf,&dibusb1_1_an2235_properties,THIS_MODULE) ||
+		dvb_usb_device_init(intf,&dibusb1_1_an2235_properties,THIS_MODULE) == 0 ||
 		dvb_usb_device_init(intf,&dibusb2_0b_properties,THIS_MODULE) == 0)
 		return 0;
 
_
